/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author willian
 */
@Embeddable
public class CompoePK implements Serializable {
    @Basic(optional = false)
    @Column(name = "produto_id")
    private int produtoId;
    @Basic(optional = false)
    @Column(name = "produto_parte")
    private int produtoParte;

    public CompoePK() {
    }

    public CompoePK(int produtoId, int produtoParte) {
        this.produtoId = produtoId;
        this.produtoParte = produtoParte;
    }

    public int getProdutoId() {
        return produtoId;
    }

    public void setProdutoId(int produtoId) {
        this.produtoId = produtoId;
    }

    public int getProdutoParte() {
        return produtoParte;
    }

    public void setProdutoParte(int produtoParte) {
        this.produtoParte = produtoParte;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) produtoId;
        hash += (int) produtoParte;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof CompoePK)) {
            return false;
        }
        CompoePK other = (CompoePK) object;
        if (this.produtoId != other.produtoId) {
            return false;
        }
        if (this.produtoParte != other.produtoParte) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "modelo.CompoePK[produtoId=" + produtoId + ", produtoParte=" + produtoParte + "]";
    }

}
