/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package estoque;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.math.MathContext;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import modelo.Funcionario;
import modelo.PedidoVenda;
import modelo.Produto;
import modelo.Venda;
import modelo.controle.FuncionarioJpaController;
import modelo.controle.PedidoVendaJpaController;
import modelo.controle.VendaJpaController;

/**
 *
 * @author willian
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        PedidoVendaJpaController pVJpa = new PedidoVendaJpaController();
        VendaJpaController vJpa = new VendaJpaController();

        PedidoVenda pv = pVJpa.findPedidoVenda(new Integer(1));
        BigDecimal total = new BigDecimal(0);
        for(Venda venda: vJpa.findVenda(pv)) {
            Produto produto = venda.getProduto();
            System.out.println(venda.getQuantidade() + " " + produto.getNome() + " por " + venda.getQuantidade().multiply(venda.getValorUnitario()));
            total = total.add(venda.getQuantidade().multiply(venda.getValorUnitario()));
        }
        System.out.println(total);


        
    }
}
